{% extends "baseFront.html.twig" %}

{% block container %}
    <script type="text/javascript" src="{{ asset('moment.js') }}"></script>
    <link rel="stylesheet" href="{{ asset('notif/lobibox.min.css') }}"/>
    <link rel="stylesheet" href="{{ asset('contdown/compiled/flipclock.css') }}">

    <!-- Button trigger modal -->
    <section class="akame-service-area section-padding-80-0">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <!-- Section Heading -->
                    <div class="section-heading text-center">
                        <h2>Nos evenements</h2>
                        <p>les evenements de notre maison de culture </p>
                    </div>
                </div>
            </div>

    <div class="row">
        {% for e in evenements %}
            <!-- Single Service Area -->
            <div class="col-12 col-sm-6 col-lg-3" onclick="test('{{ e.idevenement}}', '{{ e.date|date("Y/m/d h:m a") }}')">
                <div class="single-service-area mb-80 wow fadeInUp" data-wow-delay="200ms">
                    <img src="{{ asset('') }}{{ vich_uploader_asset(e, 'imageFile') }}" width="150px" height="150px" >
                    <h5>{{ e.nom  }}</h5>
                    <p>prix : {{ e.prix }} </p>
                    {% if(e.termine == 1) %}
                        <p style="color:red;"><del>date : {{ e.date|date("Y/m/d h:m a") }}</del></p>
                    {% else %}
                        <p>date : {{ e.date|date("Y/m/d h:m a") }}</p>
                    {% endif %}
                    <p>Espace : {{ e.Espace.description }} </p>

                </div>
            </div>
        {% endfor %}
    </div>
        </div>
    </section>

{% endblock %}

{% block modal %}
    <link rel="stylesheet" type="text/css" href="{{ asset('bundles/starrating/css/rating.css') }}" />
    <script src="//ajax.googleapis.com/ajax/libs/jquery/2.0.3/jquery.min.js"></script>
    <script src="{{ asset('bundles/starrating/js/rating.js') }}"></script>
    <div id="myModal" class="modal fade" role="dialog">
        <div class="modal-dialog">

            <!-- Modal content-->
            <div class="modal-content" style="width: 144% !important;">

                <div class="modal-body">

                    <div class="clock" style="margin:2em;"></div>
                    <div class="row">
                        <div class="col-md-1"></div>
                        <div class="col-md-4">
                            <span id="image">  </span>
                            <p>Evenement : <b> <span id="nom">  </span> </b> </p>
                            <p>Prix :  <b> <span id="prix">  </span> </b> </p>
                            <p>date Debut :  <b><span id="date">  </span></b>  </p>
                            <p>Terminé :  <b><span id="termine">  </span></b>  </p>
                            <p>Espace :  <b><span id="espace">  </span></b>  </p>
                            <p>Type :  <b><span id="type">  </span></b>  </p>
                            <p>Detail :  <b> <span id="detail">  </span>  </b></p>

                        </div>
                        <div class="col-md-5">

                            <div>
                                {% if app.user %}
                                    {% if app.user.username != "admin" %}
                                        <p> Avis</p>
                                        {{ 2|rating }}
                                    {% endif %}
                                {% endif %}
                            </div>

                        </div>

                        <div class="col-md-10" style="margin-left: 10px !important;">
                            <table class="table  nomargin" cellspacing="0" width="100%" id="example">

                                <tbody id="ajax">

                                </tbody>
                            </table>
                        </div>

                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">OK</button>

                </div>
            </div>

        </div>
    </div>

    <!--<div id="myModalsab" class="modal fade" role="dialog">
        <div class="modal-dialog">


            <div class="modal-content" >

                <div class="modal-body">


                    <div class="row">
                        <div class="col-md-3"></div>
                        <div class="col-md-6">
                            <label> Inserez votre numero </label>
                            <input type="number"  id="tel" class="form-control">
                            <span id="message"></span>


                        </div>

                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-success" onclick="sabonner()"> Valider</button>

                </div>
            </div>

        </div>
    </div>-->

{% endblock %}
{% block js %}

    <script src="{{ asset('notif/lobibox.js') }}"></script>

    <script type="text/javascript">
        var offre = {};
        function test(id,date){
            $("#myModal").modal();
            getevenementDetails(id);
            var clock;

            var currentDate = new Date();

            // Set some date in the future. In this case, it's always Jan 1
            var futureDate = new Date(date);

            // Calculate the difference in seconds between the future and current date
            var diff = futureDate.getTime() / 1000 - currentDate.getTime() / 1000;
            if(currentDate > futureDate )
            {
                // Instantiate a coutdown FlipClock
                clock = $('.clock').FlipClock(currentDate, {
                    clockFace: 'DailyCounter',
                    countdown: true
                });
            }
            else
            {
                // Instantiate a coutdown FlipClock
                clock = $('.clock').FlipClock(diff, {
                    clockFace: 'DailyCounter',
                    countdown: true
                });
            }
        }

        function getevenementDetails(id){

            $.ajax({
                type: "GET",
                url: "{{ path('evenement_detail_ajax') }}",
                data: {
                    'evenement_id' : id
                },
                dataType: "text",
                success: function(msg){
                    evenement = JSON.parse(msg)  ;

                    $('#nom').html(evenement.nom);
                    $('#prix').html(evenement.prix);
                    $('#date').html(moment(evenement.date).add(1, "days").format('Y/MM/d'));
                    if(evenement.termine == 1)
                        $('#termine').html("<a style='color:red;'>oui</a>");
                    else
                        $('#termine').html("non");
                    $('#espace').html(evenement.Espace.description);
                    $('#type').html(evenement.Type.type);
                    $('#detail').html(evenement.description);
                }
            });
            getavisparevenement(id);
        }

        function getavisparevenement(id){

            $.ajax({
                type: "GET",
                url: "{{ path('avis_evenement_ajax') }}",
                data: {
                    'id' : id
                },
                dataType: "text",
                success: function(msg){
                    if(msg=="false"){
                        $('#ajax').empty();
                    }else{
                        $('#ajax').empty();
                        $('#ajax').append('<p>Avis : <b>')
                        var result = JSON.parse(msg);
                        //  console.log(result)
                        result.forEach(data =>{
                                $('#ajax').append('<tr class="tr-shadow">')
                                $('#ajax').append("<td>"+data.User.email+"</td>")
                                $('#ajax').append('<td> <span class="status--process">'+data.valeur+'</span> </td>')
                                $('#ajax').append('<td> <span class="status--process">'+data.commentaire+'</span> </td>')
                                $('#ajax').append('</tr>')
                            }
                        )
                    }
                }
            });
        }

        {% if app.user %}
        function rating(type){

            $.ajax({
                type: "GET",
                url: "{{ path('ratingAjax') }}",
                data: {
                    'offre_id' : offre.id,
                    'user_id' : {{ app.user.id }} ,
                    'like' : type
                },
                dataType: "text",
                success: function(msg){
                    if(msg != "false"){
                        data = JSON.parse(msg) ;
                        console.log(JSON.parse(msg))   ;
                        $('#like').html(data.offre.likesnumber);
                        $('#dislike').html(data.offre.dislikesnumber);
                        Lobibox.notify('success', {
                            title: 'Rating ',
                            msg: 'Merci pour votre engagement '
                        });
                    }else{
                        Lobibox.notify('warning', {
                            title: 'Rating ',
                            msg: 'Vous avez deja fait le raitng  '
                        });
                    }
                }
            });
        }
        {% endif %}

    </script>

{% endblock js %}

